/****************************************************************************
** Form interface generated from reading ui file './komparatorwidgetbase.ui'
**
** Created: Mo Jan 16 17:50:39 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.4   edited Nov 24 2003 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef KOMPARATORWIDGETBASE_H
#define KOMPARATORWIDGETBASE_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qwidget.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class KDateCombo;
class QButtonGroup;
class QLabel;
class KLineEdit;
class QRadioButton;
class KIntNumInput;
class KComboBox;
class QCheckBox;
class KIntSpinBox;
class KLed;
class KPushButton;
class KURLRequester;
class QTabWidget;
class KListView;
class QListViewItem;

class KomparatorWidgetBase : public QWidget
{
    Q_OBJECT

public:
    KomparatorWidgetBase( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~KomparatorWidgetBase();

    QButtonGroup* searchOptions_ButtonGroup;
    QLabel* regex_TextLabel;
    KLineEdit* regex_KLineEdit;
    QLabel* modified_TextLabel;
    QRadioButton* modifiedNoRestriction_RadioButton;
    QRadioButton* modifiedBetween_RadioButton;
    KDateCombo* modifiedFrom_KDateCombo;
    QLabel* and_TextLabel;
    KDateCombo* modifiedTo_KDateCombo;
    QRadioButton* modifiedLastTime_RadioButton;
    KIntNumInput* modifiedLastTime_KIntNumInput;
    KComboBox* modifiedLastTime_KComboBox;
    QLabel* size_TextLabel;
    KComboBox* size_KComboBox;
    KIntNumInput* bytes_KIntNumInput;
    KComboBox* bytes_KComboBox;
    QButtonGroup* search_ButtonGroup;
    QCheckBox* ignoreEmptyFiles_CheckBox;
    QCheckBox* followSoftLinks_CheckBox;
    QCheckBox* findEmptyFolders_CheckBox;
    QLabel* smaller_TextLabel;
    KIntSpinBox* binaryComparison_KIntSpinBox;
    QLabel* MB_TextLabel;
    QCheckBox* binaryComparison_CheckBox;
    QCheckBox* calculateChecksum_CheckBox;
    KLed* scan1_KLed;
    KLed* scan2_KLed;
    KLed* scan3_KLed;
    KPushButton* scan_KPushButton;
    QCheckBox* includeSubfolders_CheckBox;
    QCheckBox* useFilesIndex_CheckBox;
    QCheckBox* caseSensitiveSearch_CheckBox;
    QLabel* url1_TextLabel;
    KURLRequester* url1_KURLRequester;
    QLabel* url2_TextLabel;
    KURLRequester* url2_KURLRequester;
    QTabWidget* main_TabWidget;
    QWidget* tab;
    KListView* duplicates1_KListView;
    KListView* duplicates2_KListView;
    QButtonGroup* duplicatesReference_ButtonGroup;
    QRadioButton* duplicatesReference1_RadioButton;
    QRadioButton* duplicatesReference2_RadioButton;
    KPushButton* duplicatesTrash_KPushButton;
    KPushButton* duplicatesDelete_KPushButton;
    QWidget* tab_2;
    KPushButton* copyMissing1To2_KPushButton;
    KPushButton* removeMissing1_KPushButton;
    KPushButton* removeMissing2_KPushButton;
    KPushButton* copyMissing2To1_KPushButton;
    KListView* missing2_KListView;
    KListView* missing1_KListView;
    QWidget* TabPage;
    KPushButton* copyNewer1To2_KPushButton;
    KPushButton* removeNewer1_KPushButton;
    KPushButton* removeNewer2_KPushButton;
    KPushButton* copyNewer2To1_KPushButton;
    KListView* newer2_KListView;
    KListView* newer1_KListView;
    KLineEdit* status_KLineEdit;
    KLineEdit* progress_KLineEdit;
    KPushButton* about_KPushButton;
    KPushButton* help_KPushButton;

public slots:
    virtual void slotContextMenu(KListView *list_view, QListViewItem *item, const QPoint &p);
    virtual void slotSearch();
    virtual void slotSizeTypeChanged(int i);
    virtual void slotReferenceLeft( bool is_ref );
    virtual void slotMissingL2R();
    virtual void slotMissingR2L();
    virtual void slotNewerL2R();
    virtual void slotNewerR2L();
    virtual void slotRemoveSelectionMissing1();
    virtual void slotRemoveSelectionMissing2();
    virtual void slotRemoveSelectionNewer1();
    virtual void slotRemoveSelectionNewer2();
    virtual void slotDeleteDuplicates();
    virtual void slotTrashDuplicates();
    virtual void slotKListViewDropped( KListView *list_view, QDropEvent *, QListViewItem * );
    virtual void slotAbout();
    virtual void aboutKDE();
    virtual void slotMD5ChecksumEnabled( bool );

protected:
    QGridLayout* komparatorwidgetbaseLayout;
    QVBoxLayout* main_Layout;
    QHBoxLayout* top_Layout;
    QGridLayout* searchOptions_ButtonGroupLayout;
    QHBoxLayout* regex_Layout;
    QHBoxLayout* modified1_Layout;
    QSpacerItem* modified_Spacer;
    QVBoxLayout* modified2_Layout;
    QHBoxLayout* modifiedBetween_Layout;
    QHBoxLayout* modifiedDuring_Layout;
    QHBoxLayout* size_Layout;
    QGridLayout* search_ButtonGroupLayout;
    QHBoxLayout* filesSmaller_Layout;
    QSpacerItem* binaryComparision_Spacer;
    QVBoxLayout* search_Layout;
    QSpacerItem* search1_Spacer;
    QSpacerItem* search2_Spacer;
    QSpacerItem* search3_Spacer;
    QHBoxLayout* scanLED_Layout;
    QSpacerItem* scan3_Spacer;
    QSpacerItem* scan4_Spacer;
    QHBoxLayout* url_Layout;
    QSpacerItem* url_Spacer;
    QGridLayout* tabLayout;
    QHBoxLayout* duplicates_Layout;
    QVBoxLayout* reference_Layout;
    QSpacerItem* reference1_Spacer;
    QSpacerItem* reference2_Spacer;
    QGridLayout* duplicatesReference_ButtonGroupLayout;
    QHBoxLayout* trash_Layout;
    QSpacerItem* trash_Spacer;
    QGridLayout* tabLayout_2;
    QVBoxLayout* missing_Layout;
    QSpacerItem* missing1_Spacer;
    QSpacerItem* missing2_Spacer;
    QSpacerItem* missing3_Spacer;
    QGridLayout* TabPageLayout;
    QVBoxLayout* newer_Layout;
    QSpacerItem* newer1_Spacer;
    QSpacerItem* newer2_Spacer;
    QSpacerItem* newer3_Spacer;
    QHBoxLayout* statusBar_Layout;
    QSpacerItem* help_Spacer;

protected slots:
    virtual void languageChange();

private:
    QPixmap image0;

};

#endif // KOMPARATORWIDGETBASE_H
